List webhook endpoints
/v1/webhook-endpointsThe calling account’s endpoints, or the calling partner’s.
- Called by
- Any client
- Scope
- webhooks:write
Responses
200Endpoints.Show
- dataarray of WebhookEndpointrequired
Child attributes
- created_atstring (date-time)required
- descriptionstring | nullrequired
- disabled_reasonstring | nullrequired
- event_typesarray of stringrequired
One of
account.activated,account.updated,account.suspended,account.cancelled,stock.changed,stock.low,stock.out,stock.back,supplier.updated,supplier.sync_failed,usage.threshold - failing_sincestring (date-time) | nullrequired
- idstringrequired
- previous_secret_expires_atstring (date-time) | nullrequired
During a rotation, the old secret still verifies until this time.
- secretstring
Standard Webhooks secret (
whsec_…). Returned once, on create and rotate. - statusstringrequired
One of
enabled,disabled - updated_atstring (date-time)required
- urlstring (uri)required
- 400The request is not valid (
invalid_request). - 401Missing, expired or revoked token (
invalid_token). - 403The token lacks a scope (
insufficient_scope), the account is suspended (account_suspended), or the client kind cannot call this. - 429Too many requests (
rate_limited); seeRetry-After.
curl -sS -X GET 'https://suppliers.presslane.ai/v1/webhook-endpoints' \
-H "Authorization: Bearer $TOKEN"{
"data": [
{
"created_at": "2026-11-09T08:00:00Z",
"description": "string",
"disabled_reason": "string",
"event_types": [
"account.activated"
],
"failing_since": "2026-11-09T08:00:00Z",
"id": "whe_01jd…",
"previous_secret_expires_at": "2026-11-09T08:00:00Z",
"status": "enabled",
"updated_at": "2026-11-09T08:00:00Z",
"url": "https://example.com"
}
]
}